Bug 253146 - initscripts gets rid of ifcfg-eth0 script
initscripts gets rid of ifcfg-eth0 script
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-17 02:08 EDT by Jonathan Kamens
Modified: 2014-03-16 23:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-10 10:59:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
ifcfg-eth0 (275 bytes, application/octet-stream)
2007-08-17 02:09 EDT, Jonathan Kamens
no flags Details
ifcfg-eth0:1 (222 bytes, application/octet-stream)
2007-08-17 02:09 EDT, Jonathan Kamens
no flags Details
First hwconf from marathon-01 (9.55 KB, application/octet-stream)
2008-09-26 14:39 EDT, Nate Straz
no flags Details
Second hwconf from marathon-01 (9.08 KB, application/octet-stream)
2008-09-26 14:39 EDT, Nate Straz
no flags Details

  None (edit)
Description Jonathan Kamens 2007-08-17 02:08:17 EDT
Upgrading to initscripts-8.55-1 caused /etc/sysconfig/network-scripts/ifcfg-eth0
to be renamed to ifcfg-eth0.bak and not replaced, thus rendering my network out
of order.  It seems there's a bug in the recent changes to make updates to the
ifcfg-eth* files.  Might it have something to do with the fact that I also have
a ifcfg-eth0:1?  I'll attach them in case it'll help.
Comment 1 Jonathan Kamens 2007-08-17 02:09:11 EDT
Created attachment 161718 [details]
Comment 2 Jonathan Kamens 2007-08-17 02:09:30 EDT
Created attachment 161719 [details]
Comment 3 Bill Nottingham 2007-08-29 13:34:28 EDT
It wasn't initscripts; kudzu renamed it to .bak because the device disappeared
when you rebooted. Did it exist as a different name after booting, or did driver
initialization fail?
Comment 4 Jonathan Kamens 2007-08-29 14:12:52 EDT
I don't run kudzu on boot; I have it disabled.

I suppose it's possible that I ran it by hand and it did what you said, but I 
just ran it by hand again, and my ifcfg-eth0 script remained unmolested after I 
did so.

I didn't see any evidence that eth0 was missing or its driver failed when this 
problem occurred, but I certainly could have missed it.
Comment 5 Bill Nottingham 2007-08-29 14:37:33 EDT
kudzu's the only thing that will rename ifcfg-eth0 to ifcfg-eth0.bak, though
(with the possible exception of a manual system-config-network run.) initscripts
doesn't touch ifcfg-XXXX outside of lo.
Comment 6 Joachim Backes 2008-03-27 05:22:25 EDT
Having the same problems with initscripts-8.60-1
 (F8 update from March 27, 2008).
Comment 7 Joachim Backes 2008-03-27 05:24:51 EDT
I have to modify: same problem with kudzu- (F8 update from March 27, 2008)
Comment 8 Matteo Corti 2008-04-03 03:09:18 EDT
Same problem but is not kudzu:

> chkconfig --list kudzu 
kudzu           0:off   1:off   2:off   3:off   4:off   5:off   6:off

* Machine was OK
* I upgraded to the latest kernel
* Machine was still OK (i.e., /etc/sysconfig/network-scripts/ifcfg-eth0 was
still configured with a static address)
* Rebooted
* Machine was configured with DHCP (which is bad since it was not reachable)
Comment 9 Bug Zapper 2008-05-13 23:07:45 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 10 Nate Straz 2008-09-26 12:16:51 EDT
I see this on RHEL5 from time to time when I reboot a cluster node.  I haven't been able to figure out what is renaming ifcfg-eth[01] or why.
Comment 11 Nate Straz 2008-09-26 14:39:05 EDT
Created attachment 317824 [details]
First hwconf from marathon-01

I'm attaching two version of /etc/sysconfig/hwconf from a node that has hit this issue.  There are differences in subDeviceId.
Comment 12 Nate Straz 2008-09-26 14:39:40 EDT
Created attachment 317825 [details]
Second hwconf from marathon-01
Comment 13 Bill Nottingham 2008-09-26 16:08:43 EDT
That would be why it changes in your case - all of vendor/device/subvendor/subdevice are taken into account.
Comment 14 Bug Zapper 2009-06-09 18:45:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 15 Bill Nottingham 2009-06-10 10:59:58 EDT
Given comments 12/13, closing.
Comment 16 Kit Gerrits 2011-01-19 12:37:55 EST
I get the exact same behaviour on RHEL5 when I:

1/ back up the machine configuration (/etc/sysconfig/network, /etc/sysconfig/network-scripts*, /etc/ssh/)
2/ restore a complete O/S from a different machine
3/ restore the aforementioned data
4/ reboot

The physical machine stays exactly the same, but Kudzu honestly believes it has to disable all my interfaces. (very annoying on a cluster node)

Is there any way to avoid this behavior?
Comment 17 Bill Nottingham 2011-01-19 12:57:51 EST
There are patches for this in 5.6 that may help.

Note You need to log in before you can comment on or make changes to this bug.